/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
export declare class PromotedFiltersComponent implements OnInit, OnDestroy {
    private angularPConnect;
    viewName: any;
    filters: any;
    listViewProps: any;
    pageClass: any;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    parameters: {};
    angularPConnectData: AngularPConnectData;
    showFilters: boolean;
    localeCategory: string;
    localizedVal: any;
    filtersProperties: {};
    showTable: any;
    transientItemID: any;
    processedFilters: any[];
    payload: {};
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    formatPromotedFilters(promotedFilters: any): {};
    isValidInput(input: any): boolean;
    getFilterData(): void;
    clearFilterData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PromotedFiltersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PromotedFiltersComponent, "app-promoted-filters", never, { "viewName": { "alias": "viewName"; "required": false; }; "filters": { "alias": "filters"; "required": false; }; "listViewProps": { "alias": "listViewProps"; "required": false; }; "pageClass": { "alias": "pageClass"; "required": false; }; "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; "parameters": { "alias": "parameters"; "required": false; }; }, {}, never, never, true, never>;
}
